#include "FVIsNotRegrouping.h"
#include "FNIsNotRegrouping.h"
#include "DebugAI.h"

using namespace std;

FVIsNotRegrouping::FVIsNotRegrouping(void){
	name = FV_IS_NOT_REGROUPING;
}

FVIsNotRegrouping::FVIsNotRegrouping(FNIsNotRegrouping* aFuzzyNumber){
	fuzzyNumber = aFuzzyNumber;
	fuzzyNumber->addFV(this);
	name = FV_IS_NOT_REGROUPING;
}


FVIsNotRegrouping::FVIsNotRegrouping(float myValue){
	name = FV_IS_NOT_REGROUPING;
	value = myValue;
	// ici il y a juste abstractFuzzyValue à changer par le FuzzyvalueName qui 
    //convient
}

FVIsNotRegrouping::~FVIsNotRegrouping(){}

void FVIsNotRegrouping::update(){
	 value = this->fuzzyNumber->getValue();
	 DebugAI::trace('v', toString());
	// Update l'attribut value en executant la fonction afine qui représente la 
    // FuzzyValue
	// à partir de la valeur récupèrée via fuzzyNumber->getValue
}
